import request from '@/utils/request'

// 查询危险废物清单列表
export function listDanger(query) {
  return request({
    url: '/ehs/danger/list',
    method: 'get',
    params: query
  })
}

// 查询危险废物清单详细
export function getDanger(id) {
  return request({
    url: '/ehs/danger/' + id,
    method: 'get'
  })
}

// 新增危险废物清单
export function addDanger(data) {
  return request({
    url: '/ehs/danger',
    method: 'post',
    data: data
  })
}

// 修改危险废物清单
export function updateDanger(data) {
  return request({
    url: '/ehs/danger',
    method: 'put',
    data: data
  })
}

// 删除危险废物清单
export function delDanger(id) {
  return request({
    url: '/ehs/danger/' + id,
    method: 'delete'
  })
}

// 导出危险废物清单
export function exportDanger(query) {
  return request({
    url: '/ehs/danger/export',
    method: 'get',
    params: query
  })
}